From 09dec4b5bbc248c92e053dcbb5b49c3e259f6fd4 Mon Sep 17 00:00:00 2001
From: Timur Pocheptsov <timur.pocheptsov@qt.io>
Date: Thu, 29 Jul 2021 06:13:53 +0200
Subject: [PATCH 248/262] tst_QSslCertificate::verify - skip auto-test
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

as a temporary fix for suddenly expired certificates situation (to
be regenerated).

Pick-to: 6.2 6.1 5.15
Task-number: QTBUG-95429
Change-Id: I00ad11cfd8824eeeffa2991dfcda6a7899726953
Reviewed-by: Mårten Nordheim <marten.nordheim@qt.io>
(cherry picked from commit 8d0e4a2e5c3627e2fd88f14ccc8b349668012685)
---
 tests/auto/network/ssl/qsslcertificate/tst_qsslcertificate.cpp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/tests/auto/network/ssl/qsslcertificate/tst_qsslcertificate.cpp b/tests/auto/network/ssl/qsslcertificate/tst_qsslcertificate.cpp
index 115d111974..54137e409b 100644
--- a/tests/auto/network/ssl/qsslcertificate/tst_qsslcertificate.cpp
+++ b/tests/auto/network/ssl/qsslcertificate/tst_qsslcertificate.cpp
@@ -1128,6 +1128,8 @@ void tst_QSslCertificate::verify()
 #if QT_CONFIG(securetransport)
     QSKIP("Not implemented in SecureTransport");
 #endif
+    QSKIP("Expired certificates, regenerate first");
+
     QList<QSslError> errors;
     QList<QSslCertificate> toVerify;
 
-- 
2.33.0

